# synfigapp::Action::WaypointRemove Class Reference

`#include <waypointremove.h>`

Inheritance diagram for synfigapp::Action::WaypointRemove:

List of all members.

## Public Member Functions

| WaypointRemove ()
virtual bool | set_param (const synfig::String &name, const Param &)
virtual bool | is_ready () const
virtual void | perform ()
| This function will throw an Action::Error() on failure.
virtual void | undo ()
| This function will throw an Action::Error() on failure.

## Static Public Member Functions

static ParamVocab | get_param_vocab ()
static bool | is_candidate (const ParamList &x)

## Constructor & Destructor Documentation

Action::WaypointRemove::WaypointRemove | ( |  | ) |

References synfigapp::Action::CanvasSpecific::set_dirty().

## Member Function Documentation

Action::ParamVocab Action::WaypointRemove::get_param_vocab | ( |  | ) | `[static]`

Reimplemented from synfigapp::Action::CanvasSpecific.

References _, synfigapp::Action::CanvasSpecific::get_param_vocab(), synfigapp::Action::Param::TYPE_VALUENODE, and synfigapp::Action::Param::TYPE_WAYPOINT.

Referenced by is_candidate().

bool Action::WaypointRemove::is_candidate | ( | const ParamList & | x | ) | `[static]`

References synfigapp::Action::candidate_check(), and get_param_vocab().

bool Action::WaypointRemove::set_param | ( | const synfig::String & | name,
|  | const Param & | param |
| ) |  |  | `[virtual]`

Reimplemented from synfigapp::Action::CanvasSpecific.

References synfigapp::Action::Param::get_type(), synfigapp::Action::Param::get_value_node(), synfigapp::Action::Param::get_waypoint(), synfigapp::Action::CanvasSpecific::set_param(), synfigapp::Action::Param::TYPE_VALUENODE, and synfigapp::Action::Param::TYPE_WAYPOINT.

bool Action::WaypointRemove::is_ready | ( |  | ) | const`[virtual]`

Reimplemented from synfigapp::Action::CanvasSpecific.

References synfigapp::Action::CanvasSpecific::is_ready().

void Action::WaypointRemove::perform | ( |  | ) | `[virtual]`

This function will throw an Action::Error() on failure.

Implements synfigapp::Action::Base.

References _, and synfigapp::Action::CanvasSpecific::get_canvas_interface().

void Action::WaypointRemove::undo | ( |  | ) | `[virtual]`

This function will throw an Action::Error() on failure.

Implements synfigapp::Action::Undoable.

References _, and synfigapp::Action::CanvasSpecific::get_canvas_interface().

The documentation for this class was generated from the following files:

- waypointremove.h
- waypointremove.cpp